Bug 268487 - Don't list forward declarations in code completion
Don't list forward declarations in code completion
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Completion
8.2
All All
: P3 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-12 12:38 UTC by Vladimir Kvashin
Modified: 2016-12-08 09:45 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2016-10-12 12:38:39 UTC
Often code completion list contains both forward class declaration and its definition. That's definitely incorrect.

Foreard

Don't list forward declarations in code completion unless there is no de
Comment 1 Vladimir Kvashin 2016-10-12 12:40:37 UTC
(Sorry for typos, I occasionally pressed "Save")

If there is no definition in the completion list, then forward class declaration should be listed there, otherwise it should not.
Comment 2 Vladimir Kvashin 2016-10-14 15:01:08 UTC
fixed, change set 00542194f939 on enum
Comment 3 Quality Engineering 2016-10-20 01:58:45 UTC
Integrated into 'main-silver', will be available in build *201610200002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/9b6732711b7b
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #268487 - Don't list forward declarations in code completion and #267752 - Code Completion doesn't help to type new STL variable (some changes are common for these 2 bugs)
(transplanted from 00542194f9392d423478c537fccf6da06c94480d)
Comment 4 soldatov 2016-12-08 09:45:48 UTC
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo